<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.qmth.distributed.print.business.mapper.ExamTaskPrintMapper">
    <select id="listTaskPrintHouse"
            resultType="com.qmth.distributed.print.business.bean.dto.TaskPrintHouseDto">
        SELECT distinct
            o.id printHouseId,
            o.name printHouseName
        FROM
            sys_org o
        WHERE
            o.school_id = #{schoolId} AND o.type = #{type}
    </select>
    <select id="listTaskPrintHouseAll"
            resultType="com.qmth.distributed.print.business.bean.dto.TaskPrintHouseDto">
        SELECT
            o.id houseId,
            o.name houseName
        FROM
            sys_org o
        WHERE
            o.school_id = #{schoolId} AND o.type = #{type}
        ORDER BY o.name
    </select>
</mapper>